View Issue Details

IDProjectCategoryView StatusLast Update
14902Bug reportsMenu systempublic2020-03-05 20:21
Reporterwehr Assigned To 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.17.x 
Fixed in Version3.22.7 
Summary14902: SQL error in Configuration menu unter PHP 7.2 - 7.3
Description

The last changes in https://github.com/LimeSurvey/LimeSurvey/commit/5c9aa865cb19113325d8100bb7a7718a30334a8f leads to a invalid Query.
" App()->user->id ? App()->user->id : ' ' " in _configuration_menu.php und participantsaction.php withphp 7.2/7.3 seams to have problems with this part when used without parenthesis.

Fix ->" (App()->user->id )? App()->user->id : ' ')"

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.3 github
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgresSql 11
Server OS (if known)Debian
Webserver software & version (if known)Apache
PHP Version7.2 7.3

Activities

c_schmitz

c_schmitz

2020-03-05 20:21

administrator   ~56336

This is fixed in the latest version.

Issue History

Date Modified Username Field Change
2019-05-16 10:53 wehr New Issue
2019-05-16 10:53 wehr Status new => assigned
2019-05-16 10:53 wehr Assigned To => markusfluer
2019-09-10 11:46 c_schmitz Category MenuSystem => Menu system
2020-03-05 20:21 c_schmitz Assigned To markusfluer =>
2020-03-05 20:21 c_schmitz Status assigned => closed
2020-03-05 20:21 c_schmitz Resolution open => fixed
2020-03-05 20:21 c_schmitz Fixed in Version => 3.22.7
2020-03-05 20:21 c_schmitz Note Added: 56336